package com.pqs9000.pojo.responsibility;

import com.njcn.utils.PubUtils;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;
import java.util.Date;

/**
 * @author hongawen
 * @Date: 2019/4/19 13:31
 */
@Table(name="PQS_USEREXCELDATA")
public class UserExcelData implements Serializable {

    @Id
    private String excelIndex;

    private String excelName;

    private Date startTime;

    private Date endTime;

    private Date updateTime;

    private String excelPath;

    private Integer lackIntegrity;

    public Integer getLackIntegrity() {
        return lackIntegrity;
    }

    public void setLackIntegrity(Integer lackIntegrity) {
        this.lackIntegrity = lackIntegrity;
    }

    @Transient
    private String detail;

    @Transient
    private String sTime;

    @Transient
    private String eTime;

    @Transient
    private String uTime;


    public String getExcelIndex() {
        return excelIndex;
    }

    public void setExcelIndex(String excelIndex) {
        this.excelIndex = excelIndex;
    }

    public String getExcelName() {
        return excelName;
    }

    public void setExcelName(String excelName) {
        this.excelName = excelName;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
        try {
            this.sTime=PubUtils.date2String(startTime,"yyyy-MM-dd");
        } catch (Exception e) {
            this.sTime="";
        }
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
        try {
            this.eTime=PubUtils.date2String(endTime,"yyyy-MM-dd");
        } catch (Exception e) {
            this.eTime="";
        }
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        try {
            this.uTime=PubUtils.date2String(updateTime,"yyyy-MM-dd HH:mm:ss");
        } catch (Exception e) {
            this.uTime="";
        }
    }

    public String getExcelPath() {
        return excelPath;
    }

    public void setExcelPath(String excelPath) {
        this.excelPath = excelPath;
    }

    public String getDetail() {
        return detail;
    }

    public void setDetail(String detail) {
        this.detail = detail;
    }

    public String getsTime() {
        return sTime;
    }

    public void setsTime(String sTime) {
        this.sTime = sTime;
    }

    public String geteTime() {
        return eTime;
    }

    public void seteTime(String eTime) {
        this.eTime = eTime;
    }

    public String getuTime() {
        return uTime;
    }

    public void setuTime(String uTime) {
        this.uTime = uTime;
    }

    @Override
    public String toString() {
        return "UserExcelData{" +
                "excelIndex='" + excelIndex + '\'' +
                ", excelName='" + excelName + '\'' +
                ", startTime=" + startTime +
                ", endTime=" + endTime +
                ", updateTime=" + updateTime +
                ", excelPath='" + excelPath + '\'' +
                ", lack=" + lackIntegrity +
                ", detail='" + detail + '\'' +
                '}';
    }
}
